<?php
/*
See yak.php for information and license terms
*/

require_once(ABSPATH . 'wp-includes/wp-l10n.php');

global $model;
?>

<div class="wrap">
    <form method="post">
    <h2><?php _e('Yak Products', 'yak'); ?></h2>
    
    <table>
        <tr>
            <th><?php _e('Post/Page ID', 'yak'); ?></th>
            <th><?php _e('Post Title', 'yak'); ?></th>
            <th><?php _e('Title', 'yak'); ?></th>
            <th><?php _e('Price', 'yak'); ?></th>
            <th><?php _e('Quantity', 'yak'); ?></th>
            <th><?php _e('Download file', 'yak'); ?></th>
        </tr>
    
<?php
    if ($products) {
        foreach ($products as $product) {  
?>
        <tr>
            <td><?php echo $product->id; ?><input type="hidden" name="id[]" value="<?php echo $product->id; ?>" /></td>
            <td><?php echo $product->post_title; ?></td>
            <td><input type="text" name="title[]" value="<?php echo $product->title; ?>" /></td>
            <td><input type="text" name="price[]" value="<?php echo $product->price; ?>" /></td>
            <td><input type="hidden" name="oldquantity[]" value="<?php echo $product->quantity; ?>" /><input type="text" name="quantity[]" value="<?php echo $product->quantity; ?>" /></td>
            <td><input type="text" name="dl_file[]" value="<?php echo $product->dl_file; ?>" /></td>
        </tr>
<?php
        }
?>
    </table>
    <div class="submit">
        <input type="submit" name="products_update" value="<?php _e('Update products', 'yak'); ?>" />
    </div>
    
<?php
    } else {
?>
    </table>
<?php
    }
?>
        
    </form>
</div>
