<?php
/*
See yak.php for information and license terms
*/

require_once(ABSPATH . 'wp-includes/wp-l10n.php');

global $model, $countries;

if (isset($model['error_message'])) {
?>

<div class="yak_error"><?php echo $model['error_message'] ?></div>

<?php
}


if (isset($model['shipping_address'])) {
?>

<form name="oldaddress" method="post" action="<?php echo $_SERVER[PHP_SELF]; ?>">
    <table>
        <tr>
            <td colspan="2"><?php _e('Last shipping address','yak') ?>:</td>
        </tr>
        <tr>
            <td class="yak_small">
<?php
    foreach ( $model['shipping_address'] as $key => $value ) {
        if (!empty($value)) { 
?>
                
                <?php echo $value; ?> <input type="hidden" name="<?php echo $key; ?>" value="<?php echo $value; ?>" /><br />
<?php    
        }
    }
?>
            </td>
        </tr>
        
        <tr>
            <td colspan="2"><input type="image" src="<?php echo USE_ADDRESS_BUTTON_IMAGE; ?>" /></td>
        </tr>
        
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        
    </table>
    <input type="hidden" name="action" value="confirm" />
    <input type="hidden" name="<?php echo $model['param_name']; ?>" value="<?php echo $model['post_id']; ?>" />
</form>
        
<?php
}
?>

<form name="address" method="post" action="<?php echo $_SERVER[PHP_SELF]; ?>">
    <table>
        <tr>
            <td colspan="2"><?php _e('Enter a new shipping address', 'yak'); ?></td>
        </tr>
        <tr>
            <td><?php echo _e('Name', 'yak'); ?> : </td>
            <td><input type="text" name="recipientname" value="<?php echo $_POST['recipientname'] ?>" size="40" maxlength="60" /></td>
        </tr>
        <tr>
            <td><?php echo _e('Email', 'yak'); ?> : </td>
            <td><input type="text" name="email" value="<?php echo $_POST['email'] ?>" size="40" maxlength="80" /></td>
        </tr>
        <tr>
            <td><?php echo _e('Phone Number', 'yak'); ?> : </td>
            <td><input type="text" name="phone" value="<?php echo $_POST['phone'] ?>" size="15" maxlength="15" /></td>
        </tr>
        <tr>
            <td><?php echo _e('Country', 'yak'); ?> : </td>
            <td><?php echo yak_html_select('country', yak_default($_POST['country'], yak_get_option(DEFAULT_COUNTRY, '')), $countries) ?></td>
        </tr>
        <tr>
            <td><?php echo _e('City', 'yak'); ?> : </td>
            <td><input type="text" name="city" value="<?php echo $_POST['city'] ?>" size="20" maxlength="40" /></td>
        </tr>
        <tr>
            <td><?php echo _e('Address Line 1', 'yak'); ?> : </td>
            <td><input type="text" name="addr1" value="<?php echo $_POST['addr1'] ?>" size="40" maxlength="60"  /></td>
        </tr>
        <tr>
            <td><?php echo _e('Address Line 2', 'yak'); ?> : </td>
            <td><input type="text" name="addr2" value="<?php echo $_POST['addr2'] ?>" size="40" maxlength="60" /></td>
        </tr>
        <tr>
            <td><?php echo _e('Postcode', 'yak'); ?> : </td>
            <td><input type="text" name="postcode" value="<?php echo $_POST['postcode'] ?>" size="10" maxlength="20" /></td>
        </tr>
        <tr>
            <td colspan="2"><input type="image" src="<?php echo USE_ADDRESS_BUTTON_IMAGE; ?>" onclick="javascript:return validateAddress()" /></td>
        </tr>
    </table>        
    <input type="hidden" name="action" value="confirm" />
    <input type="hidden" name="<?php echo $model['param_name']; ?>" value="<?php echo $model['post_id']; ?>" />
</form>
