<?php
/*
See yak.php for information and license terms
*/

require_once(ABSPATH . 'wp-includes/wp-l10n.php');

global $model;
$total_price = 0.0;
?>

<form name="cart" method="post" action="<?php echo $_SERVER[PHP_SELF]; ?>">

    <table id="shoppinglist" class="yak_order" cellpadding="0" cellspacing="0">
        <tr>
            <th><?php _e('Title', 'yak') ?></th>
            <th><?php _e('Price', 'yak') ?></th>
            <th><?php _e('Qty', 'yak') ?></th>
            <th><?php _e('Subtotal', 'yak') ?></th>
        </tr>

<?php
    foreach ($model["items"] as $key => $item) {
        $price = yak_calc_price($item->id);
        
        $item_price = $price * $item->quantity;
        $total_price += $item_price;
?>
            
        <tr>
            <td><a href="<?php echo $_SERVER[PHP_SELF] . '?' . $item->id_type . '=' . $item->id; ?>"><?php echo yak_get_title($item->id); ?></a></td>
                
            <td class="yak_numeric"><?php echo yak_format_money($price); ?></td>
            
            <td><input name="item_<?php echo $item->id; ?>" type="text" style="text-align: right" value="<?php echo $item->quantity; ?>" size="<?php echo yak_get_option(QUANTITY_INPUT_SIZE, 3); ?>" maxlength="<?php echo yak_get_option(QUANTITY_INPUT_SIZE, 3); ?>" /></td>
            
            <td class="yak_numeric"><?php echo yak_format_money($item_price); ?></td>
        </tr>
        
<?php
    }
?>
    
        <tr>
            <td colspan="3" class="yak_total"><?php _e('Total', 'yak') ?></td>
            
            <td class="yak_total"><?php yak_format_money($total_price) ?></td>    
        </tr>
        
        <tr>
            <td colspan="3"></td>
            <td><input type="image" src="<?php echo UPDATE_BUTTON_IMAGE; ?>" onclick="javascript:document.forms['cart'].action.value = 'update'" /></td>
        </tr>
        
        <tr>
            <td colspan="3"></td>
            <td><input type="image" src="<?php echo BUY_BUTTON_IMAGE ?>" onclick="javascript:document.forms['cart'].action.value = 'address'" /></td>
        </tr>
    </table>
<input type="hidden" name="action" value="" />
<input type="hidden" name="<?php echo $model['param_name'] ?>" value="<?php echo $model['post_id'] ?>" />
</form>
