<?php
/*
See yak.php for information and license terms
*/

require_once(ABSPATH . 'wp-includes/wp-l10n.php');

global $model;
?>

<div class="wrap">
    <form method="post">
    <h2><?php _e('Yak Orders', 'yak'); ?></h2>
    
<?php
    
    if ($orders) {
        foreach ($orders as $order) {
?>
    <fieldset name="order_<?php echo $order->id; ?>">
        <legend><?php _e('Order', 'yak'); ?> #<?php echo $order->id; ?> @  <?php echo $order->time ?></legend>
        <input type="hidden" name="id[]" value="<?php echo $order->id ?>" />
        <p><?php _e('Funds received', 'yak'); ?> : <input type="text" name="funds_received[]" value="<?php echo $order->funds_received ?>" /></p>
        <p><?php _e('Stock sent', 'yak'); ?> : 
            <select name="stock_sent[]">
                <option value="0" SELECTED><?php _e('No', 'yak'); ?></option>
                <option value="1"><?php _e('Yes', 'yak'); ?></option>
            </select></p>
        <p><?php _e('Payment type', 'yak'); ?> : <?php echo $order->payment_type ?></p>
        <p><strong><?php _e('Customer Details', 'yak'); ?></strong></p>
        
        <pre><?php echo $order->address ?></pre>
        
        <p><br /><strong><?php _e('Order Items', 'yak'); ?></strong></p>

        <table width="75%" class="yak_list" cellpadding="0" cellspacing="0">
            <tr>
                <th><?php _e('Title', 'yak'); ?></th>
                <th><?php _e('Qty', 'yak'); ?></th>
                <th><?php _e('Price', 'yak'); ?></th>
                <th><?php _e('Subtotal', 'yak'); ?></th>
            </tr>

<?php
            foreach ($order->items as $item) {
?>
            <tr>
                <td><?php echo $item->itemname ?></td>
                <td class="yak_numeric"><?php echo $item->quantity ?></td>
                <td class="yak_numeric"><?php echo $item->price ?></td>
                <td class="yak_numeric"><?php echo $item->total ?></td>
            </tr>
<?php
            }
?>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td colspan="3"><?php _e('Shipping costs', 'yak'); ?></td>
                <td class="yak_numeric"><?php echo $order->shipping_cost ?></td>
            </tr>
            <tr>
                <td colspan="3"><?php _e('Total', 'yak'); ?></td>
                <td class="yak_numeric"><?php echo $order->total + $order->shipping_cost ?></td>
            </tr>
        </table>
</fieldset><p>&nbsp;</p>

<?php
        }
?>

    <div class="submit">
        <input type="submit" name="orders_update" value="<?php _e('Update orders', 'yak'); ?>" />
    </div>
    
<?php
    }
?>
        
    </form>
</div>
